package directory_test

import (
	"testing"

	"git.akyoto.dev/cli/q/src/directory"
	"git.akyoto.dev/go/assert"
)

func TestWalk(t *testing.T) {
	var files []string

	directory.Walk(".", func(file string) {
		files = append(files, file)
	})

	assert.Contains(t, files, "Walk.go")
	assert.Contains(t, files, "Walk_test.go")
}
