package x64

import "git.akyoto.dev/cli/q/src/register"

const (
	SyscallNumber = register.R0 // rax
	SyscallReturn = register.R0 // rax
)

var SyscallArgs = []register.ID{
	register.R7, // rdi
	register.R6, // rsi
	register.R2, // rdx
	register.R10,
	register.R8,
	register.R9,
}

// Syscall is the primary way to communicate with the OS kernel.
func Syscall(code []byte) []byte {
	return append(code, 0x0f, 0x05)
}
